(defvar GATEmacro-mode-syntax-table nil "Syntax table for `GATEmacro-mode'.")

(setq GATEmacro-mode-syntax-table
      (let ( (synTable (make-syntax-table)))
        ;; python style comment: “# …”
        (modify-syntax-entry ?# "<" synTable)
        (modify-syntax-entry ?\n ">" synTable)
        synTable))

(setq GATEmacro-highlights
      '(("{\\([^{]+?\\)}" . font-lock-constant-face)))

(font-lock-add-keywords 'GATEmacro-mode '("\\<\\(gate\\|control\\|run\\|event\\|tracking\\|vis\\)\\>"))

(define-derived-mode GATEmacro-mode prog-mode "GATEmacro"
  "GATEmacro-mode is a major mode for editing GATE macros."

  (setq font-lock-defaults (list nil nil))
  (setq font-lock-defaults '(GATEmacro-highlights))

  (set-syntax-table GATEmacro-mode-syntax-table)
  )

;(define-derived-mode gatemacro-mode prog-mode "gatemacro"
;  "major mode for editing GATE macros."
;  (setq font-lock-defaults '(gatemacro-highlights)))

(provide 'GATEmacro-mode)
